    //Se asigna un id a cada pestalla y si no hay ejecucion de cron se da permiso

	$(document).ready(function(){
		sessionStorage.tabID = window.crypto.getRandomValues(new Uint32Array(1))[0] / 4294967295
		if(localStorage.getItem('varCronsEjecutando') == null){
			localStorage.setItem('varCronsEjecutando',1)
			localStorage.setItem('varCronsTab',sessionStorage.tabID)			
			var date = new Date()
			date = date.getTime() + 50000 //Tiempo de vida del permiso de ejecucion.
			localStorage.setItem('varCronsValidate',date)
		}
	})
	
//Intervalo que aplica en todas las pestañas pero ejecuta el cron solo en la que tenga permiso.
	setInterval(function(){
			let varCronsEjecutando = localStorage.getItem('varCronsEjecutando')
			let varCronsTab = localStorage.getItem('varCronsTab')
			let varCronsValidate = localStorage.getItem('varCronsValidate')			
			if(varCronsEjecutando == '1' && varCronsTab == sessionStorage.tabID){					
				$.ajax({
					success: function (data_s) {
						console.log('ejecutando sesionn.php')
						
					},
					type: 'post',
					async: true,
					url: 'http://' + window.location.host + '/servicentro_covasur/cronjob/sesionn.php',
					data: {
						cache: false,
						dataType: 'html'
					}
				})
			}
			let expireCron = localStorage.getItem('varCronsValidate')
			if(expireCron < new Date().getTime()){
				//comparacion de vida del cambio de permiso
				//si ya esta vencido se asigna a la pestana que este mas cercana a ejecutar.
				localStorage.removeItem('varCronsEjecutando')
				console.log('Asinacion de cronjob')
				localStorage.setItem('varCronsTab',sessionStorage.tabID)
				localStorage.setItem('varCronsEjecutando',1)
				var date = new Date()
				date = date.getTime() + 50000			//un minuto defecto
				localStorage.setItem('varCronsValidate',date) //Tiempo de vida del permiso de ejecucion
			}
		}, 100000); 
		//tiempo de ejecucion del intervalo en todas las pestañas 5 segundos defecto
		//
		
	
